Status: Resolved Priority: Should have
Author: Robert Lemke Category: Package
Created: 2007-02-20 Assigned To:
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Define the packageInfo.xml format
Description

The structure of meta information for packages stored in the packageInfo.xml file must be defined. This ticket covers the minimum
features:

- define general information like title, author, maintainer etc.
 - create a format for constraints

Constraints are important for checking for the minimum PHP version!

Not included in this ticket is setting up a schema for the xml format.

Related issues:
related to TYPO3.Flow - Task # 702: RNG schema for Package.xml files is too s... Resolved
related to TYPO3.Flow - Task # 3559: Get rid of state in Package.xml files Resolved 2009-06-04

History
#1 - 2007-03-08 09:51 - Sebastian Kurfuerst

Please have a look into 
T3Package Draft 1
and comment on the comments I wrote there.
I'd very much like to have some feedback :-)

Greets,
Sebastian

#2 - 2007-03-09 09:45 - Sebastian Kurfuerst
- Status changed from New to Accepted

#3 - 2007-03-14 21:10 - Sebastian Kurfuerst
Hi Robert,
here are my comments:
    -  <numberofdownloads>3229</numberofdownloads>: as we will have distributed mirrors, so that will be pretty hard to update, if not impossible.
    -  <version version="0.9.0-beta1"> You wrap nearly the whole contents with this tag - but the packageinfo.xml lies within the hierarchy of package
and thus belongs to one special version. I think the repository should take care of different versions.
    -  I really like the constraints section!
    -  I would just use the <package> tag and drop the <packageversion> tag, as a version is just a special attribute of a tag.
    -  I like the maintainer tag
    -  Having no seperate hierarchy for all the authors might not be too good for readability. Do you  think it makes sense that we remove the
maintainers tag and instead allow <author .... maintainer="maintainer">?

2015-08-03 1/3



I'm really looking forward to your comments,
Greets,
Sebastian

#4 - 2007-03-14 21:26 - Sebastian Kurfuerst

Hi,
    -  <numberofdownloads>3229</numberofdownloads>: as we will have distributed mirrors, so that will be pretty hard to update, if not impossible.
    -  <version version="0.9.0-beta1"> You wrap nearly the whole contents with this tag - but the packageinfo.xml lies within the hierarchy of
package and thus belongs to one special version. I think the repository should take care of different versions.

I talked about this with robert and I follow his opinion now:
We could use the same format for extensions.xml.gz for the TPR (TYPO3 Package Repository) ;)

Greets,
Sebastian

#5 - 2008-01-08 19:17 - Malte Jansen

Hi!
Perhaps there should be a Tag for keywords/categories like:
Gallery, FE, BE, ...

The author could suggest some keywords to find a Package. But this handling could also be some categorization by the TPR like:
Media -> Gallery
Media -> Filedownload
BE -> Settings
BE -> Usermanagement
Perhaps everbody logged in in could suggest keywords/category and a team could verify them. So the categorization could be pretty powerful.

I don't know, which way is the best, but there should be some categorization.
And it should be allowed to set multiple catgories, because most package will fit to more than one category. So if you don't find a package, you will
create a simular package to the one, which already exists.

#6 - 2008-01-15 16:07 - Robert Lemke

See also ticket #90.

#7 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#8 - 2008-02-26 13:41 - Ingo Renner
- File extension.xml added

I also thought about a similar solution for v4. So I'm just attaching my current draft to keep things compatible and not reinvent the wheel.
#9 - 2008-03-17 19:51 - David Bruehlmeier
- File Package.xml added

According to the discussion on the mailing list (http://lists.netfielders.de/pipermail/typo3-project-5_0-general/2008-March/000843.html) I have added a
sample Package.xml and a Package.rng file.

#10 - 2008-03-17 19:52 - David Bruehlmeier
- File Package.rng added

#11 - 2008-04-02 21:19 - Robert Lemke
- Status changed from Accepted to Resolved
- Assigned To deleted (Sebastian Kurfuerst)
- % Done changed from 0 to 100

The format proposed by David is well enough for our current needs.

#12 - 2008-07-01 15:31 - Robert Lemke
- Target version deleted (18)

Files
t3package.xml 1.5 kB 2007-03-08 Sebastian Kurfuerst
t3package_relaxng.xml 885 Bytes 2007-03-11 Sebastian Kurfuerst
t3package.2.xml 2 kB 2007-03-14 Robert Lemke
extension.xml 1.3 kB 2008-02-26 Ingo Renner
Package.xml 2 kB 2008-03-17 David Bruehlmeier
Package.rng 5 kB 2008-03-17 David Bruehlmeier
